"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
const _sfc_main = {
  __name: "s-title-block",
  props: {
    data: {
      type: Object,
      default() {
      }
    },
    styles: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    const state = common_vendor.reactive({
      typeMap: {
        left: "ss-row-left",
        center: "ss-row-center"
      }
    });
    const props = __props;
    const elStyles = {
      background: `url(${sheep_index.sheep.$url.cdn(props.data.bgImgUrl)}) no-repeat top center / 100% auto`,
      fontSize: `${props.data.titleSize}px`,
      fontWeight: `${props.data.titleWeight}px`
    };
    const titleStyles = {
      color: props.data.titleColor,
      fontSize: `${props.data.titleSize}px`,
      textAlign: props.data.textAlign
    };
    const descStyles = {
      color: props.data.descriptionColor,
      textAlign: props.data.textAlign,
      fontSize: `${props.data.descriptionSize}px`,
      fontWeight: `${props.data.descriptionWeight}px`
    };
    return (_ctx, _cache) => {
      var _a, _b;
      return common_vendor.e({
        a: __props.data.title
      }, __props.data.title ? {
        b: common_vendor.t(__props.data.title),
        c: common_vendor.s(titleStyles)
      } : {}, {
        d: __props.data.description
      }, __props.data.description ? {
        e: common_vendor.t(__props.data.description),
        f: common_vendor.s(descStyles)
      } : {}, {
        g: (_a = __props.data.more) == null ? void 0 : _a.show
      }, ((_b = __props.data.more) == null ? void 0 : _b.show) ? common_vendor.e({
        h: __props.data.more.type !== "icon"
      }, __props.data.more.type !== "icon" ? {
        i: common_vendor.t(__props.data.more.text)
      } : {}, {
        j: __props.data.more.type !== "text"
      }, __props.data.more.type !== "text" ? {} : {}, {
        k: common_vendor.o(($event) => common_vendor.unref(sheep_index.sheep).$router.go(__props.data.more.url)),
        l: __props.data.descriptionColor
      }) : {}, {
        m: common_vendor.n(state.typeMap[__props.data.textAlign]),
        n: common_vendor.s(elStyles)
      });
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2879f4b7"], ["__file", "D:/zx/mall-front-app/sheep/components/s-title-block/s-title-block.vue"]]);
wx.createComponent(Component);
